@charset "utf-8";

.p-header {
  width: 100%;
  position: fixed;
  top: 0;
  z-index: 20;
}

.p-header__inner {
  padding: 18px 20px 0;
  display: flex;
  align-items: start;
  justify-content: space-between;

  @media (width < 768px) {
    padding: 20px 20px 0;
  }
}

.p-header__logo {
  width: 240px;
  aspect-ratio: 214 / 62;
  border-radius: 5px;
  background: #fff;
  place-items: center;

  @media (width < 768px) {
    width: 140px;
  }

  img {
    width: 90%;
    height: 100%;
    object-fit: contain;
  }
}

.p-header__nav {
  background: #ffffffe6;
  border-radius: 6px;
  padding: 8px 8px 8px 30px;
  display: flex;
  align-items: center;
  gap: 38px;

  @media (width < 768px) {
    display: none;
  }
}

.p-header__link {
  width: fit-content;
  line-height: normal;
  letter-spacing: 0.03em;
  position: relative;
}

.p-header__link::before {
  position: absolute;
  content: '';
  width: 100%;
  height: 2px;
  left: 0;
  bottom: -5px;
  opacity: 0;
  background: var(--color-red);
  transition: all 0.3s ease-out;
}

.p-header__link:hover::before {
  opacity: 1;
}

.p-header__contact {
  width: 160px;
  height: 47px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 5px;
  gap: 6px;
  background: var(--color-red);
  border: 1px solid var(--color-red);
  letter-spacing: 0.05em;
  transition: all 0.3s ease-out;

  p {
    color: var(--color-white);
    transition: all 0.3s ease-out;
  }
}

.p-header__contact::before {
  content: '';
  width: 14px;
  height: 12px;
  background: url('https://officewata.net/system_panel/uploads/images/mail-icon-white.svg') no-repeat center center / contain;
  transition: all 0.3s ease-out;
}

.p-header__contact:hover {
  background: var(--color-white);

  p {
    color: var(--color-red);
  }
}

.p-header__contact:hover::before {
  background: url('https://officewata.net/system_panel/uploads/images/mail-icon-red.svg') no-repeat center center / contain;
}

.p-header-icon {
  display: none;
  position: fixed;
  top: 20px;
  right: 20px;
  width: 50px;
  aspect-ratio: 3/2;
  z-index: 50;
  background: #ffffffe6;
  border-radius: 5px;
  cursor: pointer;

  @media (width < 768px) {
    display: flex;
  }
}

.p-header-icon.is-open {
  .p-header-icon__bar div:nth-of-type(1) {
    transform: translateY(7.6px) rotate(-45deg);
  }

  .p-header-icon__bar div:nth-of-type(2) {
    opacity: 0;
  }

  .p-header-icon__bar div:nth-of-type(3) {
    transform: translateY(-6px) rotate(45deg);
  }
}

.p-header-icon__bar {
  width: 16px;
  height: 16px;
  position: relative;
  margin: auto;

  div {
    position: absolute;
    display: flex;
    background: var(--color-red);
    width: 100%;
    height: 2px;
    transition: all 0.3s ease-out;
  }
}

.p-header-icon__bar div:nth-of-type(1) {
  top: 0;
}

.p-header-icon__bar div:nth-of-type(2) {
  top: 50%;
  transform: translateY(-50%);
}

.p-header-icon__bar div:nth-of-type(3) {
  bottom: 0;
}

.p-header-icon__bar {
}

.p-drawer {
  position: fixed;
  width: 100%;
  max-width: 320px;
  height: 100vh;
  top: 0;
  right: -400px;
  overflow: auto;
  transition: all 0.3s ease-out;
  opacity: 0;
  z-index: 30;
  background: var(--color-white);
  display: none;

  @media (width < 768px) {
    display: block;
  }
}

.gjs-dashed *[data-highlightable] .p-drawer {
  right: 0;
  opacity: 1;
  display: block;
  top: 92px;

  @media (width < 768px) {
    top: 75px;
  }
}

.p-drawer.is-show {
  opacity: 1;
  right: 0;
}

.p-drawer__inner {
  padding: 120px 40px 40px;
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 10px;
}

.p-drawer__nav {
  display: flex;
  flex-direction: column;
  gap: 30px;
}
